jQuery(function($){
	desbloquearInterfaz();
	// Creamos el área de mensajes dentro de la tabla de incidentes
	$("#feedbackMensajesParticipantes").rup_feedback({
		type : "ok",
		closeLink : true,
		block : false,
		gotoTop : false
	});

	$("#idComboSexo").rup_combo({
		blank:"",
		source: "/ab79WebAppWar/sexos/verValorCombo",
		sourceParam: {
		    label: (("eu"==$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
			value: "idSexo"
		},
		width : 200
	});
	//poner value del input cero a vacio
	 if(undefined == $("#idComboSexo").val()){
		 $("#idComboSexo").val(0);
	 }
	$("#idComboTipoDocumentoParticipante").rup_combo({
		blank:"",
		source : "/ab79WebAppWar/tiposdocumento/verValorCombo",
		sourceParam : {
			label : (("eu" == $.rup_utils.get("language")) ? "descripcionEuskera"
					: "descripcionCastellano"),
			value : "idTipoDocumento"
		},
		width : 200,
		select: function(){
			cambiarObligatorios();
		}
	});
	
	$("#formAddSolicitanteModal").rup_form({
		feedback: $("#feedbackMensajesParticipantes"),
		url : "/ab79WebAppWar/solicitantes",
		type : "POST",
		dataType : 'json',
		contentType: "application/json",
		success : function() {
			$("#feedbackMensajesParticipantes").rup_feedback("set",$.rup.i18n.app.mensajes.datos_guardados_OK,"ok");
			bloquearInterfaz();
			window.parent.accederMenu('relexpter');
		},
		error : function() {
			$("#feedbackMensajesParticipantes").rup_feedback("set",$.rup.i18n.app.mensajes.error.datos_guardados_error,"error");
		},
		validate : {
			focusCleanup: true,
			focusInvalid: false,
			onkeyup: false,
			onclick: false,
			rules : {
				"datosTerceros.documento" : {
					maxlength : 12,
					required: true
				},
				"idComboTipoDocumento" : {
					required : true
				},
				"datosTerceros.nombre" : {
					maxlength : 260,
					required: true
				},
				"datosTerceros.apellido1" : {
					maxlength : 260
				},
				"datosTerceros.apellido2" : {
					maxlength : 260
				}
			}
		}
	});
	$("#btnGuardarAddSolicitante").click(function() {
		var numeroIdentificativo = validarDocumento($("#numeroParticipante").val(),$("#idComboTipoDocumentoParticipante").val())
		if (numeroIdentificativo) {
			$("#formAddSolicitanteModal").submit();
		}else{
			$("#feedbackMensajesParticipantes").rup_feedback("set",$.rup.i18n.app.validaciones.participantes.numero, "error");
		}
	});
	$("#nombreOculto").hide();
	function cambiarObligatorios(){
		var apellido1 = $("#apellido1");
		var apellido2 = $("#apellido2");
		var sexo = $("#idComboSexo");
		switch($("#idComboTipoDocumentoParticipante").val()) {
			case "1":
				//DNI
				$("#labelApellido1").addClass("required");
				apellido1.attr("required","required");
				$("#apellido1Div").show();
				$("#labelApellido2").addClass("required");
				apellido2.attr("required","required");
				$("#apellido2Div").show();
				$("#labelSexo").addClass("required");
				sexo.attr("required","required");
				$("#sexoDiv").show();
				$("#nombreOculto").hide();
				$("#nombreOculto2").show();
				break;
			case "2":
				//CIF
				apellido1.removeAttr("required");
				$("#apellido1Div").hide();
				apellido2.removeAttr("required");
				$("#apellido2Div").hide();
				sexo.removeAttr("required");
				$("#sexoDiv").hide();
				$("#nombreOculto").show();
				$("#nombreOculto2").hide();
				break;
			case "3": case "4": case "5":
				//NIE PASAPORTE OTROS
				$("#labelApellido1").removeClass("required");
				apellido1.removeAttr("required");
				$("#apellido1Div").show();
				$("#labelApellido2").removeClass("required");
				apellido2.removeAttr("required");
				$("#apellido2Div").show();
				$("#labelSexo").addClass("required");
				sexo.attr("required","required");
				$("#sexoDiv").show();
				$("#nombreOculto").hide();
				$("#nombreOculto2").show();
				break;
			default:
				break;
		}
	}
});
